import { ComponentClass } from 'react'
import Taro, { Component, Config } from '@tarojs/taro'
import { View, Button, Text, OpenData } from '@tarojs/components'

import { connect } from '@tarojs/redux'
import { getUserInfo } from '../../actions/userinfo'

import { _api_login } from '../../apis/login'

import './my.scss'

type PageStateProps = {
  userInfo: {
    level: string,
    phone: string,
  }
}
type PageDispatchProps = {
  getUserInfo: (e) => void
}

type PageOwnProps = {}
type PageState = {}
type IProps = PageStateProps & PageDispatchProps & PageOwnProps
interface Index {
  props: IProps;
}

@connect(({ userInfo }) => ({
  userInfo
}), (dispatch) => ({
  getUserInfo (data) {
    dispatch(getUserInfo(data))
  }
}))
class Index extends Component<any, any> {
  config: Config = {
    navigationBarTitleText: '我的'
  }

  constructor(props) {
    super(props)
  }
  
  async componentDidMount() { }

  componentDidShow () { }

  componentDidHide () { }

  render () {
    return (
      <View className='my'>
        <View className="info">
        <OpenData className="avatar" type='userAvatarUrl'/>
          <View className="namePhone">
            <OpenData className="nickname" type='userNickName'/>
            <Text>{ this.props.userInfo.phone }</Text>
          </View>
          <View className="level">{ this.props.userInfo.level }</View>
        </View>
        <View className="app-item" onClick={() => Taro.navigateTo({ url: '/pages/record/record' })}>
          <Text>上传记录</Text>
          <View className='at-icon at-icon-chevron-right'></View>
        </View>
        {/* <View className="app-item" onClick={this.no}>
          <Text>我的账单</Text>
          <View className="at-icon at-icon-chevron-right"></View>
        </View> */}
        <View className="app-item" onClick={() => Taro.navigateTo({ url: '/pages/army/army' })}>
          <Text>军令状</Text>
          <View className="at-icon at-icon-chevron-right"></View>
        </View>
      </View>
    )
  }

  no() {
    (Taro as any).toast('暂未开放')
  }

}

export default Index as ComponentClass<PageOwnProps, PageState>
