import { ComponentClass } from 'react'
import Taro, { Component, Config } from '@tarojs/taro'
import { View, Image, Text } from '@tarojs/components'

import { connect } from '@tarojs/redux'
import { getUserInfo } from '../../actions/userinfo'

import { _api_login } from '../../apis/login'

import './record.scss'

import { _api_uploadRecord } from '../../apis/upload'

type PageStateProps = {
  userInfo: object
}
type PageDispatchProps = {
  getUserInfo: (e) => void
}

type PageOwnProps = {}
type PageState = {}
type IProps = PageStateProps & PageDispatchProps & PageOwnProps
interface Index {
  props: IProps;
}

@connect(({ userInfo }) => ({
  userInfo
}), (dispatch) => ({
  getUserInfo (data) {
    dispatch(getUserInfo(data))
  }
}))
class Index extends Component<any, any> {
  config: Config = {
    navigationBarTitleText: '上传记录'
  }

  constructor(props) {
    super(props)
    this.state = {
        list: []
    }
  }
  
  async componentDidMount() {
    _api_uploadRecord({}).then(({ data: { data: { list }}}) => {
        this.setState({ list })
    })
  }

  componentDidShow () { }

  componentDidHide () { }

  render () {
    return (
      <View className='record'>
        <View className="title">
          <View className="itemItem">时间</View>
          <View className="itemItem">精装版</View>
          <View className="itemItem">简约版</View>
          <View className="itemItem">老人版</View>
          <View className="itemItem">总数量</View>
        </View>
        {
          this.state.list.map(e => (
            <View className="item" onClick={() => Taro.previewImage({ urls: [e.imgurl] })}>
              <View className="itemItem time">{e.created_at}</View>
              <View className="itemItem">{e.hard}</View>
              <View className="itemItem">{e.simple}</View>
              <View className="itemItem">{e.old}</View>
              <View className="itemItem">{e.total}</View>
            </View>
          ))
        }
        <View className="title">没有更多了</View>
      </View>
    )
  }

}

export default Index as ComponentClass<PageOwnProps, PageState>
